Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.exec.launcher
Class OS2CommandLauncher

    java.lang.Object
      org.apache.commons.exec.launcher.CommandLauncherImpl
          org.apache.commons.exec.launcher.CommandLauncherProxy
              org.apache.commons.exec.launcher.OS2CommandLauncher

All Implemented Interfaces:
  CommandLauncher

    public class OS2CommandLauncher

extends CommandLauncherProxy

A command launcher for OS/2 that uses 'cmd.exe' when launching commands in directories other than the current working directory.

Unlike Windows NT and friends, OS/2's cd doesn't support the /d switch to change drives and directories in one go.

Please not that this class is currently unused because the Java13CommandLauncher is used for 0S/2

Constructor Summary
`OS2CommandLauncher(CommandLauncher launcher)`

Method Summary
`Process` | `exec(CommandLine cmd, Map env, File workingDir)` Launches the given command in a new process, in the given working directory.

Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherProxy
`exec`

Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherImpl
`isFailure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OS2CommandLauncher

    public OS2CommandLauncher(CommandLauncher launcher)

Method Detail

### exec

    public Process exec(CommandLine cmd,
                        Map env,
                        File workingDir)
                 throws IOException

  Launches the given command in a new process, in the given working directory.

  Specified by:
    `exec` in interface `CommandLauncher`
  Specified by:
    `exec` in class `CommandLauncherImpl`
  Parameters:
    `cmd` - the command line to execute as an array of strings
    `env` - the environment to set as an array of strings
    `workingDir` - working directory where the command should run
  Returns:
    the newly created process
  Throws:
    `IOException` - forwarded from the exec method of the command launcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.